# $Id$
# Authority: matthias

Summary: SMTP filter daemon for anti-virus checking using ClamAV
Name: clamsmtp
Version: 1.8
Release: 1.el4
License: GPL
Group: System Environment/Daemons
URL: http://memberwebs.com/nielsen/software/clamsmtp/
Source0: http://memberwebs.com/nielsen/software/clamsmtp/clamsmtp-%{version}.tar.gz
Source1: clamsmtpd.init
Patch0: clamsmtp-1.8-config.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: clamav-server

%description
ClamSMTP is an SMTP filter that allows you to check for viruses using the
ClamAV anti-virus software. It accepts SMTP connections and forwards the
SMTP commands and responses to another SMTP server. The 'DATA' email body
is intercepted and scanned before forwarding.


%prep
%setup
%patch0 -p1 -b .config


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
# Init script
%{__install} -D -p -m 0755 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/rc.d/init.d/clamsmtpd
# Default configuration file
%{__install} -D -p -m 0644 doc/clamsmtpd.conf \
    %{buildroot}%{_sysconfdir}/clamsmtpd.conf

# Now integrate with the clamav packages to get a default working installation
%{__mkdir_p} %{buildroot}%{_sysconfdir}/clamd.d
%{__cat} > %{buildroot}%{_sysconfdir}/clamd.d/smtp.conf << EOF
LogFile     /var/lib/clamsmtp/clamd.smtp.log
PidFile     /var/lib/clamsmtp/clamd.smtp.pid
LocalSocket /var/lib/clamsmtp/clamd.smtp.sock
User        clamsmtp
EOF
%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__cat} > %{buildroot}%{_sysconfdir}/logrotate.d/clamd.smtp << EOF
/var/lib/clamsmtp/clamd.smtp.log {
    weekly
    compress
    notifempty
    missingok
    postrotate
        killall -HUP clamd.smtp 2>/dev/null || :
    endscript
}
EOF
%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cat} > %{buildroot}%{_sysconfdir}/sysconfig/clamd.smtp << EOF
CLAMD_CONFIGFILE=%{_sysconfdir}/clamd.d/smtp.conf
CLAMD_SOCKET=/var/lib/clamsmtp/clamd.smtp.sock
#CLAMD_OPTIONS=
EOF
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cat} > %{buildroot}%{_sysconfdir}/rc.d/init.d/clamd.smtp << EOF
#!/bin/bash
#
# chkconfig: - 75 35
# description: The clamd server running for smtp

CLAMD_SERVICE=smtp
. /usr/share/clamav/clamd-wrapper
EOF

# Home directory + tmp directory
%{__mkdir_p} %{buildroot}/var/lib/clamsmtp/tmp
# Executable symlink
%{__ln_s} clamd %{buildroot}%{_sbindir}/clamd.smtp


%clean
%{__rm} -rf %{buildroot}


%pre
/usr/sbin/useradd -r -M -s /sbin/nologin -d /var/lib/clamsmtp \
    clamsmtp &>/dev/nulll || :

%post
/sbin/chkconfig --add clamsmtpd
/sbin/chkconfig --add clamd.smtp

%preun
if [ $1 -eq 0 ]; then
    /sbin/service clamsmtpd stop &>/dev/null || :
    /sbin/service clamd.smtp stop &>/dev/null || :
    /sbin/chkconfig --del clamsmtpd
    /sbin/chkconfig --del clamd.smtp
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service clamd.smtp condrestart &>/dev/null || :
    /sbin/service clamsmtpd condrestart &>/dev/null || :
fi


%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README doc/clamsmtpd.conf
%attr(0755, root, root) %{_sysconfdir}/rc.d/init.d/clamsmtpd
%attr(0755, root, root) %{_sysconfdir}/rc.d/init.d/clamd.smtp
%config %{_sysconfdir}/clamd.d/smtp.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/clamd.smtp
%config(noreplace) %{_sysconfdir}/sysconfig/clamd.smtp
%attr(0640, clamsmtp, clamsmtp) %config(noreplace) %{_sysconfdir}/clamsmtpd.conf
%{_sbindir}/clamsmtpd
%{_sbindir}/clamd.smtp
%{_mandir}/man5/clamsmtpd.conf.5*
%{_mandir}/man8/clamsmtpd.8*
%attr(0750, clamsmtp, clamsmtp) /var/lib/clamsmtp


%changelog
* Tue Nov  7 2006 Matthias Saou <http://freshrpms.net/> 1.8-1
- Initial RPM release.

